@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  outline: none;
  font-family: 'Poppins', sans-serif;
}

body {
  min-height: 100vh;
  background: #fff;
}

.navigation {
  position: fixed;
  top: 20px;
  left: 20px;
  bottom: 20px;
  width: 300px;
  border-radius: 10px;
  box-sizing: initial;
  border-left: 5px solid #0088ff;
  background-color: #0088ff;
  transition: 0.5s;
}

.navigation ul {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  padding-left: 5px;
  padding-top: 40px;
}

.navigation ul li {
  position: relative;
  width: 100%;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
}

.navigation ul li:hover,
.navigation ul li.ativo {
    background-color:#fff ;
}

.navigation ul li a {
  position: relative;
  display: block;
  width: 100%;
  display: flex;
  align-items: center;
  text-decoration: none;
  color: #fff;
}

.navigation ul li:hover a,
.navigation ul li.ativo a {
    color: #333;
}

.navigation ul li a .icon {
  position: relative;
  display: block;
  min-width: 60px;
  height: 60px;
  line-height: 55px;
  text-align: center;
}

.navigation ion-icon {
  font-size: 1.5em;
}

.navigation ul li a .title {
    position: relative;
    display: block;
    padding-left: 10px;
    height: 60px;
    line-height: 63px;
    white-space: normal;
}

/* Curva na entrado do menu vertival */
.navigation ul li:hover a::before,
.navigation ul li.ativo a::before {
    content: '';
    position: absolute;
    right: 0;
    width: 50px;
    height: 50px;
    top: -50px;
    border-radius: 50%;
    background-color: transparent;
    box-shadow: 35px 35px 0 10px #fff;
    pointer-events: none;
}

.navigation ul li:hover a::after,
.navigation ul li.ativo a::after {
    content: '';
    position: absolute;
    right: 0;
    width: 50px;
    height: 50px;
    bottom: -50px;
    border-radius: 50%;
    background-color: transparent;
    box-shadow: 35px -35px 0 10px #ffffff;
    pointer-events: none;
}